# FullTextUtils Class Reference
[Various accompanying utilities]

Full-text utilities. More...

Inheritance diagram for FullTextUtils:
[legend]

List of all members.

## Static Public Member Functions

static | lookup (FullTextDAO $dao, Criteria $criteria, $string)
static | lookupList (FullTextDAO $dao, Criteria $criteria, $string)
static | makeFullTextQuery (FullTextDAO $dao, Criteria $criteria, $string)
static | prepareSearchString ($string)

## Detailed Description

Full-text utilities.

Definition at line 17 of file FullTextUtils.class.php.

## Member Function Documentation

static FullTextUtils::lookup | ( | FullTextDAO $ | dao,
|  | Criteria $ | criteria,
|  | $ | string |
| ) |  |  | `[static]`

Definition at line 19 of file FullTextUtils.class.php.

References BaseDAO::getByQuery().

Here is the call graph for this function:

static FullTextUtils::lookupList | ( | FullTextDAO $ | dao,
|  | Criteria $ | criteria,
|  | $ | string |
| ) |  |  | `[static]`

Definition at line 31 of file FullTextUtils.class.php.

References BaseDAO::getListByQuery().

Here is the call graph for this function:

static FullTextUtils::makeFullTextQuery | ( | FullTextDAO $ | dao,
|  | Criteria $ | criteria,
|  | $ | string |
| ) |  |  | `[static]`

Exceptions:

  | WrongArgumentException |

Returns:
  SelectQuery

Definition at line 45 of file FullTextUtils.class.php.

References Expression::fullTextOr(), Expression::fullTextRankAnd(), FullTextDAO::getIndexField(), Assert::isString(), prepareSearchString(), and Criteria::toSelectQuery().

Here is the call graph for this function:

static FullTextUtils::prepareSearchString | ( | $ | string | ) | `[static]`

Definition at line 75 of file FullTextUtils.class.php.

Referenced by makeFullTextQuery().

The documentation for this class was generated from the following file:

- main/Utils/FullTextUtils.class.php